import json
import pandas as pd
import numpy as np
import sys
import os
#input_file = 'output.jsonl'
#output_file = 'output.csv'
entries = os.listdir('output/')

for k,input_file in enumerate(entries):
    if k< 23871:
     continue    
    print(k)
    with open('output/'+input_file, 'r') as json_file:
        json_list = list(json_file)
    
    fout = open(f'outputcsv/{k}.csv','w')

    for json_str in json_list:
        

        tokens = json.loads(json_str)["features"]
        for token in tokens:
            if token['token'] in ['[CLS]','[SEP]']:
                continue
            else:
    
    
                last_layers = np.sum([
                    token['layers'][0]['values'],
                    token['layers'][1]['values'],
                    token['layers'][2]['values'],
                    token['layers'][3]['values'],

                    
                ], axis=0)
                fout.write(f'{",".join(["{:f}".format(i) for i in last_layers])}\n')
        